Results 1 to 7 of 7

Thread: Trying to download alien for .deb conversion and am having issues

  1. #1

    Default Trying to download alien for .deb conversion and am having issues

    Hello, I'm trying to convert a .deb application to .rpm and the attempted download of alien (all tested links) from https://software.opensuse.org/package/alien yields the error:

    An error occurred while initializing the software repository.
    Details:
    http-download.opensuse.org-1cd5a24a: [http-download.opensuse.org-1cd5a24a|http://download.opensuse.org/update/leap/15.2/oss/] Valid metadata not found at specified URL
    History:
    - Unknown error reading from 'http://download.opensuse.org/update/leap/15.2/oss/'
    - System management is locked by the application with pid 30816 (zypper).
    Close this application before trying again.
    How do I download alien or how do I convert .deb to rpm in this day and age?

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,895

    Default AW: Trying to download alien for .deb conversion and am having issues

    alien is not in the normal Repos:
    https://download.opensuse.org/reposi...USE_Leap_15.2/

    Also:
    Please post the complete output of the command incl. the complete input line in Code-Tags, not Quote.
    Last edited by Sauerland; 21-Apr-2021 at 13:42.

  3. #3

    Default Re: AW: Trying to download alien for .deb conversion and am having issues

    Quote Originally Posted by Sauerland View Post
    alien is not in the normal Repos:
    https://download.opensuse.org/reposi...USE_Leap_15.2/

    Also:
    Please post the complete output of the command incl. the complete input line in Code-Tags, not Quote.
    the quote was from a yast error message

  4. #4

    Default Re: AW: Trying to download alien for .deb conversion and am having issues

    From Yast2, apparently alien from that package is broken:
    Package alien is broken, integrity check has failed.

    Error: INVALID:alien-8.95-lp152.1.1.noarch (file-3030546e): Signature verification failed [4-Signatures public key is not available]

    Header V3 DSA/SHA1 Signature, key ID 96a17ffc: NOKEY
    Header SHA1 digest: OK
    Header SHA256 digest: OK

    Payload SHA256 digest: OK

    MD5 digest: OK
    V3 DSA/SHA1 Signature, key ID 96a17ffc: NOKEY


    I used quote to differentiate from terminal, is the syntax to use code quoting or quoting in that circumstance

  5. #5
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    5,895

    Default AW: Trying to download alien for .deb conversion and am having issues

    Package is not broken, your system does not know the key of the package, ignore it.

  6. #6
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,140

    Exclamation Re: Trying to download alien for .deb conversion and am having issues

    Quote Originally Posted by CosmicShock View Post
    Code:
    - System management is locked by the application with pid 30816 (zypper).
    In addition, as well as and also, there was a parallel Zypper action being executed (from a command line? – Terminal window) while you were executing the YaST action …

  7. #7
    Join Date
    Feb 2010
    Location
    Germany
    Posts
    4,140

    Default Re: AW: Trying to download alien for .deb conversion and am having issues

    Quote Originally Posted by CosmicShock View Post
    Code:
    Error: INVALID:alien-8.95-lp152.1.1.noarch (file-3030546e): Signature verification failed [4-Signatures public key is not available]
    When you add either the “system:packagemanager” or “utilities” Repositories, from within YaST, refresh the repository and, accept the GPG Key offered.
    • “zypper refresh «repository name or alias»” will probably also prompt that the repository's GPG key be accepted …

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •